Bug 1413444 - display bit information wrong or missing in xorg-x11-server-Xorg-1.19.1
Summary: display bit information wrong or missing in xorg-x11-server-Xorg-1.19.1
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server   
(Show other bugs)
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-16 02:32 UTC by Aaron Lu
Modified: 2017-01-19 01:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-19 01:36:12 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aaron Lu 2017-01-16 02:32:22 UTC
Description of problem:
I use xflux and after a recent update of xorg-x11-server-Xorg, when launching xflux, it will complain:
"Sorry, we only support 8 and 10-bit displays right now."
and quit.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.19.1-1.fc25.x86_64

How reproducible:
Always

Steps to Reproduce:
1. start gnome on xorg
2. launch xflux
3.

Actual results:
xflux can not run:
Found 1 screen.
Sorry, we only support 8 and 10-bit displays right now.

Expected results:
xflux runs without problems

Additional info:
Downgrade to xorg-x11-server-Xorg-1.19.0-0.3.20161026.fc25.x86_64 fixed the problem.
I know nothing about X, but it *feels* like the new xorg server omitted/changed an API for application to query the display bit information.

Comment 1 Aaron Lu 2017-01-17 01:53:42 UTC
The said xflux is available here:
https://justgetflux.com/linux.html
It's something similar to iOS' night shift that is used to control blue light.

Comment 2 Aaron Lu 2017-01-19 01:36:12 UTC
I just realized there is redshift in Fedora's repo which does the same thing and is still working.


Note You need to log in before you can comment on or make changes to this bug.